aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-sub-exporter/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <francesco.colista@gmail.com>2013-09-04 08:57:51 +0000
committerFrancesco Colista <francesco.colista@gmail.com>2013-09-04 09:04:47 +0000
commit63c30b3fd97a172ddd21611c46e9dbf452d4d790 (patch)
tree03519fd92d564c52d55e36c2ea277ad14a216744 /testing/perl-sub-exporter/APKBUILD
parent7a2e8ef6c681628a403a494c17e6ff8f545e37a2 (diff)
downloadaports-63c30b3fd97a172ddd21611c46e9dbf452d4d790.tar.gz
aports-63c30b3fd97a172ddd21611c46e9dbf452d4d790.tar.bz2
aports-63c30b3fd97a172ddd21611c46e9dbf452d4d790.tar.xz
testing/perl-sub-exporter: new aport
Diffstat (limited to 'testing/perl-sub-exporter/APKBUILD')
-rw-r--r--testing/perl-sub-exporter/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/perl-sub-exporter/APKBUILD b/testing/perl-sub-exporter/APKBUILD
new file mode 100644
index 0000000000..388aee2037
--- /dev/null
+++ b/testing/perl-sub-exporter/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=perl-sub-exporter
+_pkgreal=Sub-Exporter
+pkgver=0.986
+pkgrel=0
+pkgdesc="a sophisticated exporter for custom-built routines"
+url="http://search.cpan.org/dist/Sub-Exporter/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-data-optlist perl-sub-install perl-params-util perl-test-pod"
+cpanmakedepends=" "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="bdfa41103f82ab8611af61fceed1271e Sub-Exporter-0.986.tar.gz"
+sha256sums="a7456c3216552a40f66426764d8c81815dc80bc53e3fdf67bf9234e7830b9661 Sub-Exporter-0.986.tar.gz"
+sha512sums="ae2637c629229a3e0c248f968ee1f6a1126bb31cc38447218685fb5f09eaa6ea3904992e573b2a3211d4d689b0527f2d45a6b62ffedccb8cba39a98714c75bad Sub-Exporter-0.986.tar.gz"